<div class="card mb-3 mt-3" *ngIf="user">
  <div class="card-body">
    <h5 class="card-title">E-Mail ändern</h5>
    <form #mailForm="ngForm" autocomplete="off">
      <div class="form-group">
        <label for="mailInput" class="required">Aktuelle E-Mail</label>
        <input id="mailInput" class="form-control" type="email"
               #mail="ngModel" [(ngModel)]="user.mail"
               name="mailInput" placeholder="Duck@entenhausen.com"
               required email disabled>
        <app-show-form-errors [control]="mail"></app-show-form-errors>
      </div>
      <div class="form-group">
        <label for="newMailInput" class="required">Neue E-Mail</label>
        <input id="newMailInput" class="form-control" type="email"
               #newMailInput="ngModel" [(ngModel)]="newMail.new"
               name="newMailInput"
               required email eosExistEmail>
        <app-show-form-errors [control]="newMailInput"></app-show-form-errors>
      </div>
      <div class="form-group">
        <label for="actualPasswordInput" class="required">Passwort</label>
        <input id="passwordInput" class="form-control" type="password"
               #passwordInput="ngModel" [(ngModel)]="newMail.password"
               name="passwordInput" placeholder="Passwort" autocomplete="new-password"
               required>
        <app-show-form-errors [control]="passwordInput"></app-show-form-errors>
      </div>
      <button class="btn btn-primary" (click)="changeMail()" [disabled]="!mailForm.form.valid"><i class="fa fa-envelope"></i> Mail ändern</button>
    </form>
  </div>
</div>
<div class="card mb-3" *ngIf="user">
  <div class="card-body">
    <h5 class="card-title">Passwort ändern</h5>
    <form #passwordForm="ngForm" autocomplete="off">
      <div class="form-group">
        <label for="actualPasswordInput" class="required">Aktuelles Passwort</label>
        <input id="actualPasswordInput" class="form-control" type="password"
               #actualPassword="ngModel" [(ngModel)]="password.actual"
               name="actualPasswordInput" placeholder="Passwort" autocomplete="new-password"
               required>
        <app-show-form-errors [control]="actualPassword"></app-show-form-errors>
      </div>
      <hr>
      <div class="form-group">
        <label for="newPasswordInput" class="required">Neues Passwort</label>
        <input id="newPasswordInput" class="form-control" type="password"
               #newPassword="ngModel" [(ngModel)]="password.new"
               name="newPasswordInput" placeholder="Passwort" autocomplete="new-password"
               required eosPasswordStrength>
        <app-show-form-errors [control]="newPassword"></app-show-form-errors>
      </div>
      <div class="form-group">
        <label for="newPasswordConfirmInput" class="required">Neues Passwort bestätigen</label>
        <input id="newPasswordConfirmInput" class="form-control" type="password"
               #newPasswordConfirm="ngModel" [(ngModel)]="password.confirm"
               name="newPasswordConfirmInput" placeholder="Passwort" autocomplete="new-password"
               required eosEqualsValidator="newPasswordInput">
        <app-show-form-errors [control]="newPasswordConfirm"></app-show-form-errors>
      </div>
      <button class="btn btn-primary" (click)="changePassword()" [disabled]="!passwordForm.form.valid"><i class="fas fa-key"></i> Passwort ändern</button>
    </form>
  </div>
</div>
